﻿using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;

namespace TestProject.Controllers
{
    /// <summary>
    ///  홈 컨트롤러
    /// </summary>
    public class HomeController : Controller
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 인덱스 페이지 처리하기 - Index()

        /// <summary>
        /// 인덱스 페이지 처리하기
        /// </summary>
        /// <returns>액션 결과</returns>
        public IActionResult Index()
        {
            HttpContext.Session.SetString("Name", "James");

            return View();
        }

        #endregion
        #region 개인 페이지 처리하기 - Private()

        /// <summary>
        /// 개인 페이지 처리하기
        /// </summary>
        /// <returns></returns>
        public IActionResult Private()
        {
            return View();
        }

        #endregion
    }
}